# Function buildGpxTrack

- buildGpxTrack(doc, trkpts, options?): Element

- Builds a GPX track () XML Element containing track segments.

  #### Parameters

  - doc: Document

    The parent Document.

  - trkpts: Element[]

    The XML Elements containing all track points.

  - options: GpxFeatureOptions = {}

    Optional GPX feature properties.

  #### Returns Element

  The XML Element representing the GPX track.